let listaInvitados = [];

function showLista() {
  if (listaInvitados.length) {
    let text = "Lista de invitados: \n";
    listaInvitados.forEach((el, index) => {
      text = text + `${index + 1} -  ${el} \n`;
    });
    alert(text);
  } else {
    alert("No existen datos que mostrar");
  }
}
function addInvitado() {
  invitado = prompt("Introduce el nombre del invitado");
  if (invitado !== null && invitado !== "") {
    listaInvitados.push(invitado);
  }
}

function delLista() {
  if (confirm("¿Seguro que deseas eliminar la lista?")) {
    listaInvitados = [];
  }
}

function delInvitado() {
  invitado = prompt("Introduce el nombre del invitado");
  index = listaInvitados.indexOf(invitado);
  if (index != -1) {
    listaInvitados.splice(index, 1);
  } else {
    alert("No existe el invitado especificado");
  }
}

function editInvitado() {
  invitado = prompt("Introduce el nombre del invitado a editar");
  index = listaInvitados.indexOf(invitado);
  if (index != -1) {
    invitadoEditado = prompt("Introduce el nuevo nombre", invitado);
    if (invitadoEditado !== null && invitadoEditado !== "") {
      listaInvitados[index] = invitadoEditado;
    }
  } else {
    alert("No existe el invitado especificado");
  }
}
